MP4v2

Public Attributes | List of all members
MP4ItmfData_s Struct Reference
MP4v2 iTMF (iTunes Metadata Format) Generic

Data structure. More...

`#include <itmf_generic.h>`

## Public Attributes
uint8_t | typeSetIdentifier
| always zero.
MP4ItmfBasicType | typeCode
| iTMF basic type.
uint32_t | locale
| always zero.
uint8_t * | value
| may be NULL.
uint32_t | valueSize
| value size in bytes.

## Detailed Description

Data structure.

Models an iTMF data atom contained in an iTMF metadata item atom.

Examples
  example/itmf/generic.c.